﻿using Syncfusion.UI.Xaml.Grid;
using System.Windows.Controls;
using System.Windows;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Reflection;

namespace SfDataGridDemo
{
    public class SelectorClass : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            var gridCell = container as GridCell;

            if (gridCell != null && gridCell.ColumnBase != null)
            {
                var column = gridCell.ColumnBase.GridColumn;

                if (column != null)
                {
                    var sfDataGrid = column.GetType().GetProperty("DataGrid", BindingFlags.Instance | BindingFlags.NonPublic).GetValue(column) as SfDataGrid;

                    if (sfDataGrid != null)
                    {
                        foreach (var record in sfDataGrid.SelectedItems)
                        {
                            var rowIndex = sfDataGrid.ResolveToRowIndex(record);

                            if (gridCell.ColumnBase.RowIndex == rowIndex && gridCell.ColumnBase.ColumnIndex == sfDataGrid.GetLastColumnIndex())
                            {
                                //Here apply the style based on your scenario
                                return App.Current.Resources["highlightCell"] as Style;
                            }
                        }
                    }
                }
            }

            return base.SelectStyle(item, container);
        }
    }
}
